JmsTransactionalResource (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.datasource.xa.jms

## Class JmsTransactionalResource

- java.lang.Object
- - com.atomikos.datasource.xa.XATransactionalResource
  - - com.atomikos.datasource.xa.jms.JmsTransactionalResource

- All Implemented Interfaces:
    RecoverableResource, TransactionalResource

      public class JmsTransactionalResource
      extends XATransactionalResource

  resource implementation for JMS queues.

- - ### Field Summary

    - ### Fields inherited from class com.atomikos.datasource.xa.XATransactionalResource

      `xares_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmsTransactionalResource(java.lang.String name, javax.jms.XAConnectionFactory factory)` Create a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Overrides default close to include closing any open connections to the JMS infrastructure.
    `protected javax.transaction.xa.XAResource` | `refreshXAConnection()` Implements the functionality to get an XAResource handle.

    - ### Methods inherited from class com.atomikos.datasource.xa.XATransactionalResource

      `acceptsAllXAResources, createXid, getName, getResourceTransaction, getXAResource, getXidFactory, isClosed, isSameRM, needsRefresh, recover, setAcceptAllXAResources, setRecoveryService, setXidFactory, usesWeakCompare, usesXAResource, useWeakCompare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmsTransactionalResource

          public JmsTransactionalResource(java.lang.String name,
                                  javax.jms.XAConnectionFactory factory)

      Create a new instance.
      Parameters:
        `name` - The unique resource name.
        `factory` - The xa connection factory to use.

  - ### Method Detail

    - #### refreshXAConnection

          protected javax.transaction.xa.XAResource refreshXAConnection()
                                                                 throws ResourceException

      Implements the functionality to get an XAResource handle.
      Specified by:
        `refreshXAConnection` in class `XATransactionalResource`
      Returns:
        XAResource The XAResource instance.
      Throws:
        `ResourceException` - On failure.

    - #### close

          public void close()
                     throws ResourceException

      Overrides default close to include closing any open connections to the JMS infrastructure.
      Specified by:
        `close` in interface `RecoverableResource`
      Overrides:
        `close` in class `XATransactionalResource`
      Throws:
        `ResourceException`

Copyright © 2018. All Rights Reserved.